#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "EKillerPowerSpawnableComponentsSpawnType.h"
#include "EKillerPowerSpawnableComponentsParent.h"
#include "KillerPowerSpawnableComponents.generated.h"

class UActorComponent;

USTRUCT(BlueprintType)
struct FKillerPowerSpawnableComponents
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UActorComponent> ComponentClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EKillerPowerSpawnableComponentsSpawnType SpawnType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EKillerPowerSpawnableComponentsParent Parent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool AllowMultipleComponentsOfSameClass;

public:
	DBDGAMEPLAY_API FKillerPowerSpawnableComponents();
};

FORCEINLINE uint32 GetTypeHash(const FKillerPowerSpawnableComponents) { return 0; }
